package appeng.core.sync.packets;

package ..deTemp.1742731511044;

import appeng.core.sync.AppEngPacket;
import appeng.core.sync.network.INetworkInfo;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.IChatComponent;

public class PacketClick extends AppEngPacket {
  private final int x;
  
  private final int y;
  
  private final int z;
  
  private final int side;
  
  private final float hitX;
  
  private final float hitY;
  
  private final float hitZ;
  
  public PacketClick(ByteBuf stream) {
    this.x = stream.readInt();
    this.y = stream.readInt();
    this.z = stream.readInt();
    this.side = stream.readInt();
    this.hitX = stream.readFloat();
    this.hitY = stream.readFloat();
    this.hitZ = stream.readFloat();
  }
  
  public PacketClick(int x, int y, int z, int side, float hitX, float hitY, float hitZ) {
    ByteBuf data = Unpooled.buffer();
    data.writeInt(getPacketID());
    data.writeInt(this.x = x);
    data.writeInt(this.y = y);
    data.writeInt(this.z = z);
    data.writeInt(this.side = side);
    data.writeFloat(this.hitX = hitX);
    data.writeFloat(this.hitY = hitY);
    data.writeFloat(this.hitZ = hitZ);
    configureWrite(data);
  }
  
  public void serverPacketData(INetworkInfo manager, AppEngPacket packet, EntityPlayer player) {
    player.func_146105_b((IChatComponent)new ChatComponentText("禁止该操作"));
  }
}
